%global commit 2b3677b7fcf77591c79cec271c37ebc95aa28031

Name:           cmap-resources
Version:        2016.09.04
Release:        5%{?dist}
Summary:        CMap Resources for Adobe's public character collections

License:        BSD
URL:            https://github.com/adobe-type-tools/cmap-resources/
Source0:        https://github.com/adobe-type-tools/cmap-resources/archive/%{commit}.zip#/cmap-resources-%{commit}.zip

BuildRequires:  unzip

BuildArch:      noarch

%description
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

%package cns1-6

Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-cns1-6 = %{version}-%{release}
Obsoletes:     cmap-cns1-6 < 2015.03.27-4

Requires:      %{name} = %{version}-%{release}

%description cns1-6
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Traditional Chinese CMap resources.

%package gb1-5

Summary:       Simplified Chinese Adobe CMap resources

Provides:      cmap-gb1-5 = %{version}-%{release}
Obsoletes:     cmap-gb1-5 < 2015.03.27-4

Requires:      %{name} = %{version}-%{release}

%description gb1-5
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Traditional Chinese CMap resources.

%package japan2-0

Summary:       Japanese Adobe CMap resources

Provides:      cmap-japan2-0 = %{version}-%{release}
# Not previously packaged, no obsoletes needed.

Requires:      %{name} = %{version}-%{release}

%description japan2-0
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains Japanese CMap resources. They are
deprecated by Adobe but may still be needed. If you want the
current Japanese CMap resources, install the package
"cmap-resources-japan1-6".

%package japan1-6

Summary:       Japanese Adobe CMap resources

Provides:      cmap-japan1-6 = %{version}-%{release}
Obsoletes:     cmap-japan1-6 < 2015.03.27-4

Requires:      %{name} = %{version}-%{release}

%description japan1-6
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Japanese CMap resources.

%package korea1-2
Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-korea1-2 = %{version}-%{release}

# Were packaged under the name "cmap-korean".
Provides:      cmap-korean1-2 = %{version}-%{release}
Obsoletes:     cmap-korean1-2 < 2015.03.27-4

Requires:      %{name} = %{version}-%{release}

%description korea1-2
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Korean Chinese CMap resources.

%package identity-0
Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-identity-0 = %{version}-%{release}
# were packaged under the name "cmap-identity-0".
Provides:      cmap-identity0 = %{version}-%{release}
Obsoletes:     cmap-identity0 < 2015.03.27-4

Requires:      %{name} = %{version}-%{release}

%description identity-0
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the special purpose CMap resources.


%prep
%setup -qn cmap-resources-%{commit}

# Put the "deprecated" japan2-0 resources in the root directory.
# (We may as well ship them).
mv -v Deprecated/* ./
rm -rv Deprecated/


%build
# There is nothing to build.

%install
# Create a bunch of directories for the resources.
mkdir -p %{buildroot}%{_datadir}/cmap/
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-cns1-6
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-gb1-5
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-korea1-2
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-identity-0
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-japan1-6
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-japan2-0

# Install the files.
cp -pr cmapresources_cns1-6/*  %{buildroot}%{_datadir}/cmap/cmap-cns1-6
cp -pr cmapresources_gb1-5/*  %{buildroot}%{_datadir}/cmap/cmap-gb1-5
cp -pr cmapresources_korea1-2/*  %{buildroot}%{_datadir}/cmap/cmap-korea1-2
cp -pr cmapresources_identity-0/*  %{buildroot}%{_datadir}/cmap/cmap-identity-0
cp -pr cmapresources_japan1-6/*  %{buildroot}%{_datadir}/cmap/cmap-japan1-6
cp -pr cmapresources_japan2-0/*  %{buildroot}%{_datadir}/cmap/cmap-japan2-0

# Create compatibility symlinks, in order to provide upgrade paths from the old packages.
ln -s %{_datadir}/cmap/cmap-cns1-6 %{buildroot}%{_datadir}/cmap/cmap-cns1-6-%{version}
ln -s %{_datadir}/cmap/cmap-gb1-5 %{buildroot}%{_datadir}/cmap/cmap-gb1-5-%{version}
ln -s %{_datadir}/cmap/cmap-korea1-2 %{buildroot}%{_datadir}/cmap/cmap-korean1-2-%{version}
ln -s %{_datadir}/cmap/cmap-identity-0 %{buildroot}%{_datadir}/cmap/cmap-identity0-%{version}
ln -s %{_datadir}/cmap/cmap-japan1-6 %{buildroot}%{_datadir}/cmap/cmap-japan1-6-%{version}
# japan2-0 was not packaged previously, but we may as well provide this.
ln -s %{_datadir}/cmap/cmap-japan2-0 %{buildroot}%{_datadir}/cmap/cmap-japan2-0-%{version}

%files
%dir %{_datadir}/cmap/
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files cns1-6
%{_datadir}/cmap/cmap-cns1-6
%{_datadir}/cmap/cmap-cns1-6-%{version}

%files gb1-5
%{_datadir}/cmap/cmap-gb1-5
%{_datadir}/cmap/cmap-gb1-5-%{version}

%files korea1-2
%{_datadir}/cmap/cmap-korea1-2
%{_datadir}/cmap/cmap-korean1-2-%{version}

%files identity-0
%{_datadir}/cmap/cmap-identity-0
%{_datadir}/cmap/cmap-identity0-%{version}

%files japan1-6
%{_datadir}/cmap/cmap-japan1-6
%{_datadir}/cmap/cmap-japan1-6-%{version}

%files japan2-0
%{_datadir}/cmap/cmap-japan2-0
%{_datadir}/cmap/cmap-japan2-0-%{version}


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2016.09.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.09.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.09.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Oct  1 2016 Ben Rosser <rosser.bjr@gmail.com> - 2016.09.04-2
- Remove bogus isa dep in cns1-6 on main package.

* Tue Sep  6 2016 Ben Rosser <rosser.bjr@gmail.com> - 2016.09.04-1
- Update to latest resources.
- Fix packaging error in cmap-resources-gb1-5.

* Fri Aug 19 2016 Ben Rosser <rosser.bjr@gmail.com> - 2015.12.05-2
- Fixed Source0 to include the project name in the download.
- Moved directory ownership, docs, and license file to main package.

* Sat Jun 25 2016 Ben Rosser <rosser.bjr@gmail.com> - 2015.12.05-1
- Initial repackage, now that upstream doesn't distribute separate archives.
- Rename korean1-2 to korea1-2 and identity0 to identity-0 as per upstream.
- Provide compatibility symlinks to the old versioned directories.
- Included actual documentation (README.txt, VERSIONS.txt) with each package.
- Upstream has changed the license _back_ to BSD.
